# 🔄 Legacy Updater Tool

This updater exists to facilitate a transition from the legacy mirrors orchestration to its replacement.
As far as I know, no one else has ever deployed the original orchestrator so this will almost certainly not be useful
to you.

## ⚙️ Configuration

When working with the Docker Compose file, configure the sources via the environment file: `updater.env`.
One environment variable per configured pool with an HTTP URL to the Bypass Censorship Mirrors JSON file for each pool.

For example:

```shell
JASIMA_MIRRORS_POOL_example=https://www.example.com/mirrors.json
```

### 🌐 Per-site Configurations

In the configs directory, create a file named `default.json` to provide the default site configuration.
Create files named `<host>.json` to override the default.
This is a complete override so duplicate anything from the default you wanted to keep.
